Motorize Blinds & Shades

Control your blinds and shades with your phone through Bluetooth.

To use the app your phone need to have MOVE devices and Android version 4.4 (KitKat) or higher and it need to have a Bluetooth low energy chip and minimum support the Bluetooth 4.1 standard protocol.
Read more
Collapse
3.2
98 total
5
4
3
2
1
Loading...

What's New

New theme and overall stability improvements. Please contact us at support@teptron.com if you have ideas how we can improve the app.
Read more
Collapse

Additional Information

Updated
October 22, 2018
Size
10M
Installs
1,000+
Current Version
3.0.1
Requires Android
4.4 and up
Content Rating
Everyone
Permissions
Offered By
Teptron AB
Developer
Box 1009 432 13 Varberg
©2019 GoogleSite Terms of ServicePrivacyDevelopersArtistsAbout Google|Location: United StatesLanguage: English (United States)
By purchasing this item, you are transacting with Google Payments and agreeing to the Google Payments Terms of Service and Privacy Notice.